Name:           qmc2
Version:        0.243
Release:        %mkrel 3
Summary:        MAME Catalog / Launcher II
# PDF.js is ASL 2.0
# data/js/pdfjs/web/l10n.js is MIT
# everything else is GPLv2
License:        GPLv2 and ASL 2.0 and MIT
Group:          Games/Other
URL:            https://github.com/qmc2/qmc2-mame-fe
Source0:        https://github.com/qmc2/qmc2-mame-fe/archive/v%{version}/%{name}-%{version}.tar.gz
# Mageia-specific configuration
Patch0:         qmc2-ini.patch
Patch1:         qmc2-detect-os-mageia.patch
Patch2:         qmc2-system-minizip-ng.patch
# Upstream patches
Patch10:        0001-first-version-with-support-for-QWebEngine-instead-of-QWebKit.patch

BuildRequires:  cmake
BuildRequires:  qttools5
BuildRequires:  rsync
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5MultimediaWidgets)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5ScriptTools)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5XmlPatterns)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(minizip) >= 3.0.6
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(zlib)

Provides:       bundled(lzma-sdk) = 21.07
Provides:       PDF.js = 3f320f0b

%description
QMC2 is a Qt based multi-platform GUI front end MAME.

QMC2 – M.A.M.E. Catalog / Launcher II is the successor of one
of the first UNIX M.A.M.E. GUI front ends available on this
planet called QMamecat (derived from MAMECAT, which was text-only).


%package -n qchdman
Summary:        Qt CHDMAN GUI
Group:          Games/Other
License:        GPLv2
Requires:       mame-tools

%description -n qchdman
A stand-alone graphical user interface / front-end to chdman.


%package arcade
Summary:        MAME Catalog / Launcher II - Arcade Mode
Group:          Games/Arcade
License:        GPLv2

%description arcade
A QML-based standalone graphical arcade mode binary which
utilizes the cached data of qmc2 to quickly display and
launch emulators and get you "straight into the games".


%prep
%autosetup -p1 -n qmc2-mame-fe-%{version}

# ensure system minizip and zlib are used
rm -rf src/minizip src/zlib
# fix opening documentation from the menu
sed -i s@doc/html/@doc/@ src/qmc2main.cpp

%build
%make_build DISTCFG=1 CC_FLAGS="%{optflags}" CXX_FLAGS="%{optflags}" \
    L_FLAGS="%{ldflags}" \
    SYSTEM_MINIZIP=1 \
    SYSTEM_ZLIB=1 LIBARCHIVE=1 GIT_REV=0

%make_build arcade DISTCFG=1 CC_FLAGS="%{optflags}" CXX_FLAGS="%{optflags}" \
    L_FLAGS="%{ldflags}"  \
    SYSTEM_MINIZIP=1 \
    SYSTEM_ZLIB=1 LIBARCHIVE=1 GIT_REV=0

%make_build qchdman DISTCFG=1 CXX_FLAGS="%{optflags}" L_FLAGS="%{ldflags}" \
    GIT_REV=0

%make_build doc DISTCFG=1

%install
%make_install DESTDIR=%{buildroot} DISTCFG=1 PREFIX=%{_prefix}

make arcade-install DESTDIR=%{buildroot} DISTCFG=1 PREFIX=%{_prefix}

make qchdman-install DESTDIR=%{buildroot} DISTCFG=1 PREFIX=%{_prefix}

make doc-install DESTDIR=%{buildroot} DISTCFG=1 MAN_DIR=%{_mandir}

# remove docs since we are installing docs in %%doc
pushd %{buildroot}%{_datadir}/%{name}
rm -fr doc
ln -s %{_docdir}/%{name} doc
popd

%files
%doc data/doc/html/*
%license data/doc/html/us/copying.html data/js/pdfjs/LICENSE
%config(noreplace) %{_sysconfdir}/qmc2
%{_bindir}/qmc2
%{_bindir}/qmc2-sdlmame
%{_datadir}/qmc2/
%{_datadir}/applications/qmc2-sdlmame.desktop
%{_mandir}/man6/qmc2-main-gui.6*
%{_mandir}/man6/qmc2-sdlmame.6*
%{_mandir}/man6/qmc2.6*

%files arcade
%license data/doc/html/us/copying.html
%{_bindir}/qmc2-arcade
%{_datadir}/applications/qmc2-arcade.desktop
%{_mandir}/man6/qmc2-arcade.6*

%files -n qchdman
%license data/doc/html/us/copying.html
%{_bindir}/qchdman
%{_datadir}/applications/qchdman.desktop
%{_mandir}/man6/qchdman.6*


%changelog
* Mon Oct 16 2023 daviddavid <daviddavid> 0.243-3.mga10
+ Revision: 1997139
- really rebuild for mizip from minizip-ng

* Sun Oct 15 2023 wally <wally> 0.243-2.mga10
+ Revision: 1996997
- rebuild for mizip from minizip-ng

* Tue May 16 2023 daviddavid <daviddavid> 0.243-1.mga9
+ Revision: 1957073
- initial package qmc2 (mga#5003)

